Managed Environment Usages - List
Gets the current usage information as well as the limits for environment.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/managedEnvironments/{environmentName}/usages?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string pattern: ^[-\w\._]+$ |
Name of the Environment. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Common error response. |
Examples
List managed environment usages
Sample request
GET https://management.azure.com/subscriptions/subid/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/jlaw-demo1/usages?api-version=2025-01-01
Sample response
{
"value": [
{
"currentValue": 0.5,
"limit": 10,
"name": {
"localizedValue": "Managed Environment Consumption Cores",
"value": "ManagedEnvironmentConsumptionCores"
},
"unit": "Count"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Default |
App Service error response. |
| Details |
Details or the error |
| Error |
Error model. |
|
List |
|
| Usage |
Describes Compute Resource Usage. |
|
Usage |
The Usage Names. |
|
Usage |
An enum describing the unit of usage measurement. |
DefaultErrorResponse
App Service error response.
| Name | Type | Description |
|---|---|---|
| error |
Error model. |
Details
Details or the error
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
Error
Error model.
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| details |
Details[] |
Details or the error |
| innererror |
string |
More information to debug error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
ListUsagesResult
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URI to fetch the next page of compute resource usage information. Call ListNext() with this to fetch the next page of compute resource usage information. |
| value |
Usage[] |
The list of compute resource usages. |
Usage
Describes Compute Resource Usage.
| Name | Type | Description |
|---|---|---|
| currentValue |
number (float) |
The current usage of the resource. |
| limit |
number (float) |
The maximum permitted usage of the resource. |
| name |
The name of the type of usage. |
|
| unit |
An enum describing the unit of usage measurement. |
UsageName
The Usage Names.
| Name | Type | Description |
|---|---|---|
| localizedValue |
string |
The localized name of the resource. |
| value |
string |
The name of the resource. |
UsageUnit
An enum describing the unit of usage measurement.
| Value | Description |
|---|---|
| Count |